#
# spec file for package supertuxkart
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           supertuxkart
Version:        0.7.2
Release:        1
License:        GPL-2.0+
Summary:        A 3D kart racing game
Url:            http://supertuxkart.berlios.de/
Group:          Amusements/Games/3D/Race
Source:         http://download.berlios.de/supertuxkart/%{name}-%{version}-src.tar.bz2
# Geeko kart add-on (CC-BY 3.0)
Source1:        http://stkaddons.net/dl/14e6ba25b17f0d.zip
BuildRequires:  curl-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  irrlicht-devel
BuildRequires:  libogg-devel
BuildRequires:  libvorbis-devel
BuildRequires:  openal-devel
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SuperTuxKart is a Free 3d kart racing game.

The focus of the game is more to be fun than it is to be realistic.
You can play with up to 4 friends on one PC, racing against each other or just try to beat the computer.

See the great lighthouse or drive through the sand and visit the pyramids. Race underground or in space,
watching the stars passing by. Have some rest under the palms on the beach (watching the other karts
overtaking you :) ). But don't eat the bananas! Watch for bowling balls, plungers, bubble gum and cakes thrown by opponents.

You can do a single race against other karts, compete in one of several Grand Prix, try to beat the high score in time trials
on your own, play battle mode against your friends, and more!

%prep
%setup -q

%build
%configure
make %{?_smp_fmlags}

%install
%make_install
mkdir -p %{buildroot}%{_datadir}/games/supertuxkart/data/karts/geeko/
cd %{buildroot}%{_datadir}/games/supertuxkart/data/karts/geeko/
unzip %{SOURCE1}
%fdupes  %{buildroot}%{_datadir}
%suse_update_desktop_file supertuxkart

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README TODO ChangeLog
%{_prefix}/games/supertuxkart
%{_datadir}/games/supertuxkart/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}_*.xpm
%{_datadir}/doc/%{name}

%changelog
